<?php

/**
 * @file Hook documentation for this module.
 */

/**
 * Provide THEME-based image styles for reuse throughout Drupal.
 *
 * This hook allows your theme to provide image styles. This may be useful if
 * you require images to fit within exact dimensions. Note that you should
 * attempt to re-use the default styles provided by Image module whenever
 * possible, rather than creating image styles that are specific to your module.
 * Image provides the styles "thumbnail", "medium", and "large".
 *
 * NOTE: This hook implementation must reside in a file called:
 *
 *   THEMENAME.image_styles.inc
 *
 * Which MUST be at the ROOT of your theme directory.
 *
 * @return array An array of image styles, keyed by the style name.
 *
 * @see image_image_default_styles()
 */
function hook_image_default_styles() {
  $styles = array();

  $styles['mytheme_preview'] = array(
    'label' => 'My theme preview',
    'effects' => array(
      array(
        'name' => 'image_scale',
        'data' => array('width' => 400, 'height' => 400, 'upscale' => 1),
        'weight' => 0,
      ),
      array(
        'name' => 'image_desaturate',
        'data' => array(),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}